it.csi.mddtools.guigen

## Interface PanelDefState

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PanelDefState
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Panel Def State'. Stato di visibilià / abilitazione dei widget contenuti in un PanelDef. Per passare da uno stato all'altro è necessario utilizzare il comando PDefStateCommand.

  The following features are supported:

  - `Name`
  - `Widgets On`
  - `Widgets Visible`
  See Also:
    `GuigenPackage.getPanelDefState()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `org.eclipse.emf.common.util.EList<Widget>` | `getWidgetsOn()` Returns the value of the 'Widgets On' reference list.
    `org.eclipse.emf.common.util.EList<Widget>` | `getWidgetsVisible()` Returns the value of the 'Widgets Visible' reference list.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute. codice identificativo dello stato. Deve essere univoco nel PanelDef.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getPanelDefState_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getWidgetsOn

          org.eclipse.emf.common.util.EList<Widget> getWidgetsOn()

      Returns the value of the 'Widgets On' reference list. The list contents are of type `Widget`. elenco dei widget che devono essere resi editabili se il PanelDef è in questo stato.
      Returns:
        the value of the 'Widgets On' reference list.
      See Also:
        `GuigenPackage.getPanelDefState_WidgetsOn()`

    - #### getWidgetsVisible

          org.eclipse.emf.common.util.EList<Widget> getWidgetsVisible()

      Returns the value of the 'Widgets Visible' reference list. The list contents are of type `Widget`. elenco dei widget che devono essere resi visibili se il PanelDef è in questo stato.
      Returns:
        the value of the 'Widgets Visible' reference list.
      See Also:
        `GuigenPackage.getPanelDefState_WidgetsVisible()`